Create a project

Create a project in the workspace. With an account key, the key owner becomes the project owner.


POST/api/v1/workspaces/{workspaceId}/projects

Authorization

Authorization required string · header
Send Bearer <token> with an account API key that has the projects:write scope.

Path parameters

workspaceId required string
Workspace ID. See TeamModel.

Request body

application/json

name required string
Display name, 1–100 characters after trimming.

Response

201 · application/json

Source model: ProjectModel.

FieldTypeDescription
idstringID returned by the operation.
namestringDisplay name.
workspaceIdstringWorkspace ID.
ownerIdstringID of the user who owns the resource.